This discussion is archived
1 Reply Latest reply: Jun 22, 2009 8:47 AM by gdarling - oracle RSS

system.data.oracleclient requires oracle client software version 8.1.7 or

Ansaf Newbie
Currently Being Moderated
Hi,
I have two products.
One product was developed using ORACLE FORMS 6i and database is ORACLE 10g
and another one was developed using VB.NET and database is SQL SERVER.
I called the vb.net (exe files ) while clicking the node of the tree item.
It is working fine in design mode.
I tried the same with run time..
After Clicking that particular node
It shows system.data.oracleclient requires oracle client software version 8.1.7 or greater.
I tried by installing the oracle 10g client version also ..
Now i get confused by seeing this error.

Actually i dont which one is not supporting....

If anyone knows the solution please Reply ...


Regards,
Ansaf.
  • 1. Re: system.data.oracleclient requires oracle client software version 8.1.7 or
    gdarling - oracle Expert
    Currently Being Moderated
    Hi,

    Two things come to mind:

    1) As I understand it (however, this forum doesnt handle System.Data.OracleClient issues, its for Oracle's ODP) System.Data.OracleClient picks up the Oracle client (specifically oci.dll) based on your PATH environment variable
    2) FORMS 6i is an 806 client as best I recall, so if System.Data.OracleClient is picking up the 806 OCI.dll, clearly it wants version 8.1.7 or higher
    3) 10.2.0.1 Oracle client software had a known permissions issue that resulted in only administrative users being able to use the software. If System.Data.OracleClient is picking up 10201 oci.dll, that may be why. You should be able to find numerous posts on how to resolve that by googling for that error message.

    In order to determine what is getting picked up, I'd recommend using a tool like [Process Monitor| http://sysinternals.com] to see which oci.dll is getting loaded.

    Hope it helps,
    Greg

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points